Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040583
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2019-04-10 12:472019-04-12 07:44
ReportershuehnerView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionc82334b59fdf
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040583: POSUtils.getPriceListVersionForPriceList is not using bind-parameters

DescriptionThis code is not using bind-params:

      Query<PriceListVersion> priceListVersionQuery = OBDal.getInstance()
          .getSession()
          .createQuery("from PricingPriceListVersion AS plv " + "where plv.priceList.id ='"
              + priceListId
              + "' and plv.active=true and plv.validFromDate = (select max(pplv.validFromDate) "
              + "from PricingPriceListVersion as pplv where pplv.active=true and pplv.priceList.id = '"
              + priceListId + "' and to_char(pplv.validFromDate,'yyyy-mm-dd') <= '"
              + format.format(terminalDate) + "' )", PriceListVersion.class);
      for (PriceListVersion plv : priceListVersionQuery.list()) {
        return plv;
      }
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038136 acknowledgedplatform Openbravo ERP Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111088)
hgbot (developer)
2019-04-12 07:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b23ba3569b57850fa59c9bd8bfdfabb56c30e06c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Apr 12 11:13:28 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b23ba3569b57850fa59c9bd8bfdfabb56c30e06c [^]

Fixed issue 40583 : Update POSUtils query to use query parameter

---
M src/org/openbravo/retail/posterminal/POSUtils.java
---

- Issue History
Date Modified Username Field Change
2019-04-10 12:47 shuehner New Issue
2019-04-10 12:47 shuehner Assigned To => Retail
2019-04-10 12:47 shuehner Triggers an Emergency Pack => No
2019-04-10 12:47 shuehner Relationship added blocks 0038136
2019-04-11 11:53 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-04-12 07:24 ranjith_qualiantech_com Status new => scheduled
2019-04-12 07:43 hgbot Checkin
2019-04-12 07:43 hgbot Note Added: 0111088
2019-04-12 07:43 hgbot Status scheduled => resolved
2019-04-12 07:43 hgbot Resolution open => fixed
2019-04-12 07:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b23ba3569b57850fa59c9bd8bfdfabb56c30e06c [^]
2019-04-12 07:44 hgbot Checkin
2019-04-12 07:44 hgbot Note Added: 0111089
2019-04-12 07:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b23ba3569b57850fa59c9bd8bfdfabb56c30e06c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c82334b59fdf53cb9b49284e8ff3a939c5c46d03 [^]
2019-04-12 07:45 ranjith_qualiantech_com Note Deleted: 0111089


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker